2008-06-06  Rick Moseley  <rmoseley@redhat.com>

	* NEWS: Add bz #'s; add item on hover-over variable.

2008-06-04  Teresa Thomas  <tthomas@redhat.com>

	* NEWS: Mention watching doubles, arrays.

2008-06-02  Rick Moseley  <rmoseley@redhat.com>

	* NEWS: Mention argument passing via load/start/run.

2008-05-24  Andrew Cagney  <cagney@redhat.com>

	* NEWS: Mention reduced memory footprint.

2008-05-12  Rick Moseley  <rmoseley@redhat.com>

	* Update NEWS file for release 0.3.

2008-05-07  Andrew Cagney  <cagney@redhat.com>

	* .gitignore: Ignore files.base and files.jnixx.

2008-05-02  Rick Moseley  <rmoseley@redhat.com>

	* .classpath: Remove CDTParser.
	* classpath.in: Ditto.

2008-04-24  Stan Cox  <scox@redhat.com>

	* NEWS: Add sysroot.

2008-04-16  Teresa Thomas  <tthomas@redhat.com>

	* NEWS: Update - add watch command.

2008-04-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (javadoc): Use frysk-common/javadocs.sh.

2008-04-04  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (frysk-common/frysk.7): Fix typo; $<, not $@.tmp.
	
	* Makefile.am (CLEANFILES): Add frysk-common/frysk.xml.
	(manpages manpages/index.html): Get man pages from build
	directory.

2008-04-04  Mark Wielaard  <mwielaard@redhat.com>

	* Makefile.am (manpages): Clarify error message.

2008-04-03  Mark Wielaard  <mwielaard@redhat.com>

	* Makefile.am (manpages): Check for refpurpose errors.

2008-04-02  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (manpages): Make un-conditional.

	* NEWS: Seed.

2008-03-31  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (upload-manpages): Explicitly depend on
	manpages/index.html.

2008-03-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (frysk-common/frysk.7): New target.
	(manpages): Move code to frysk-common/manpages.sh.

2008-03-13  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (UPLOAD, UPLOAD_FLAGS): Define; include --chmod
	option and comment about --perms.
	(upload-manpages, upload-javadoc): Use.

2008-03-13  Mark Wielaard  <mwielaard@redhat.com>

	* Makefile.am (upload-manpages): New .PHONY target using rsync.
	(upload-docs): New .PHONY target depending on upload-manpages
	and upload-javadoc.

2008-03-13  Mark Wielaard  <mwielaard@redhat.com>

	* Makefile.am (XMLSOURCES): New list of tools xml docbook files.
	(TEMPLATE): New standard html template file.
	(manpages): New .PHONY target.

2008-03-13  Mark Wielaard  <mwielaard@redhat.com>

	* Makefile.am (SOURCEDIRS): Remove frysk-imports subdirs, replace
	with frysk-sys subdirs.
	(JAVADOC): Define as javadoc.
	(javadoc): Prune tmp dirs. Don't use reflection, no -validhtml,
	replace -all with -subpackages frysk:lib:inua:jline:junit:gnu.
	
2007-12-19  Andrew Cagney  <cagney@redhat.com>

	* classpath.in: Exclude duplicated ChangeLog only include .java
	sub-directories.  Add ftk.jar.

	* project.in: Add "javabuilder" to <buildSpec>.

2007-12-14  Andrew Cagney  <cagney@redhat.com>

	* make-all.launch.in: Add "full" to
	org.eclipse.ui.externaltools.ATTR_RUN_BUILD_KINDS.
	
	* org.eclipse.jdt.ui.prefs.in: New.
	* org.eclipse.jdt.core.prefs.in: New.
	* make-all.launch.in: New.
	* project.in: Rename .project.in.
	* classpath.in: Rename .classpath.in.
	* Makefile.am (eclipse): New phony target.
	(ECLIPSE_CONFIG): Define.
	(BUILT_SOURCES): Add $(ECLIPSE_CONFIG).
	(eclipse/.%, eclipse/.externalToolBuilders/%.launch)
	(eclipse/.settings/%.prefs): New targets.

	* Makefile.am (BUILT_SOURCES): Fix typo; eclipse/.project and
	eclipse/.classpath, instead of .project and .classpath.

	* .classpath.in: Add frysk-import's junit.jar, jline.jar,
	getopt.jar, jdom.jar, antlr.jar and cdtparser.jar.

	* Makefile.am (eclipse/.project): New.
	* Makefile.am (eclipse/.classpath): New.
	* .classpath.in: New.
	* .project.in: New.

	* configure.ac: m4_include common/frysk-common.ac.
	(AM_PROG_GCJ): Delete call.
	* Makefile.am: Include common/Makefile.rules.
	(empty): Delete.
	(space): Delete.
	(ACLOCAL_AMFLAGS): Delete.

2007-07-17  Andrew Cagney  <cagney@redhat.com>

	Move CNI code from frysk-imports/ to frysk-sys/
	* Makefile.am (SUBDIRS): Add frysk-sys/

2007-06-26  Andrew Cagney  <cagney@redhat.com>

	* configure.ac (AM_INIT_AUTOMAKE): Remove dist-bzip2 and
	tar-ustar; add no-dist.
	* Makefile.am (EXTRA_DIST): Delete.

2007-0621  Nurdin Premji  <npremji@redhat.com>

	* .Settings: Change formatter to default sun format.
	Change compliance to Java 1.4.

2007-06-11  Nurdin Premji  <npremji@redhat.com>

	* .classpath: Fix getopt source location so eclipse can correctly find
	getopt sources.

2007-05-01  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh: Add -Werror to autoconf..

2007-04-05  Sami Wagiaalla  <swagiaal@redhat.com>

	* .settings/org.eclipse.jdt.ui.prefs: Renamed the formatter to
	FryskFormatting.
	* .settings/org.eclipse.jdt.core.prefs: Changed indentation to 2,
	and tab size to 8.

2007-03-28  Nurdin Premji  <npremji@redhat.com>

	* .settings: Changed formatter to only use tabs and set tab size to 8.

2007-02-20  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (javadoc): Fix typo, $${reflection} not
	$$(reflection).
	
	* configure.ac (FRYSK_GNOME, FRYSK_GNOME_JARS): Set.
	* Makefile.am (ACLOCAL_AMFLAGS): Define.
	(SOURCEDIRS): Add $(srcdir)/frysk-imports/lib.
	(javadoc): For public, strip Test[A-Z]* and Stress[A-Z]* files.
	Pass -reflection when public.  Update Java-GNOME links.  Update
	-doctitle.  Add Native Bindings section.

2007-02-06  Stepan Kasal  <skasal@redhat.com>

	* bootstrap.sh: Add "set -e".

2007-01-29  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (upload-javadoc): Use sourceware.org, not
	sources.redhat.com in rsync destination path.

2007-01-22  Nurdin Premji <npremji@redhat.com>

	* .classpath: Removed frysk-sys.jar and /usr/share/java/jdom.jar

2006-12-12  Stepan Kasal  <skasal@redhat.com>

	* Makefile.am: Replace pkglibexecdir with pkglibdir here, too.

2006-12-09  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (javadoc): Copy over .jpg and package.html files.

	* Makefile.am (SOURCEPATH): Delete.
	(SOURCEDIRS): Add *dir directories.
	(javadoc): Re-implement.  Copy java source to working directory;
	for public, remove Test and Stress files.  Use -all.
	(upload-javadoc): Exclude source directory.

2006-12-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (SUBDIRS): Remove references to frysk-sys.

2006-12-06  Nurdin Premj <npremji@redhat.com>

	* .settings: Stop eclipse from adding TODO and author tags, Add (C) to all new files.

2006-12-05  Nurdin Premji <npremji@redhat.com>

	* .classpath: kludged classpath to use jars from build directory.

2006-11-20  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (SOURCEPATH): Add paths to bindir/ and
	pkglibexecdir/.
	(javadoc): Include jline in external group.

2006-11-17  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (javadoc): Replace getopt with gnu as getopt code
	lives under the gnu package tree.
	(SOURCEDIRS): Fix path to getopt sources.

2006-11-14  Stepan Kasal  <skasal@redhat.com>

	* Makefile.am (EXTRA_DIST): Remove $(srcdir)/common/*.m4, there is
	no longer any.

2006-11-03  Nurdin Premji <npremji@redhat.com>

	* .classpath: Added libvte.jar to classpath, removed jars that are already in build path.
	antlr, junit, jdom, etc.
	*.project: added linked resource build linked to variable build for external build directories.
	* .externalToolbuilders/* Changed to use build linked resource.

2006-10-11  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh: Pass -Werror to automake.  Abort if a
	sub-directory fails to configure.

2006-09-27  Nurdin Premji <npremji@redhat.com>

	* Makefile.am (SOURCEDIRS, javadoc): removed jargs.

2006-09-21  Nurdin Premji <npremji@redhat.com>

	* Makefile.am: Added getopt import, new command line parser.

2006-07-18  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh: "cd" to source directory.

2006-06-29  Nurdin Premji  <npremji@redhat.com>

	* .settings/org.eclipse.jdt.ui.prefs: Ditto.
	* .settings/org.eclipse.jdt.core.prefs: Added for gnu formatting in eclipse
	based on Tom Tromey's formatter.

2006-06-09  Nurdin Premji  <npremji@redhat.com>

	* .cvsignore: Ignoring
	compile
	depcomp

2006-06-09  Nurdin Premji  <npremji@redhat.com>

	* .externalToolBuilders/Create Bin dir.launch: Fixed
	* .externalToolBuilders/Cleaner.launch: Fixed

2006-06-09  Nurdin Premji  <npremji@redhat.com>

	* .externalToolBuilders/Create Bin dir.launch: Builder that creates a bin 
	directory if it doesn't exist

2006-06-08  Nurdin Premji  <npremji@redhat.com>

	* .externalToolBuilders/Make.launch: Builder that runs make in frysk/bin
	directory.
	* .externalToolBuilders/Make Check.launch: Builder that runs make check
	in frysk/bin directory
	* .externalToolBuilders/Cleaner.launch: Builder that cleans the frysk/bin 
	directory
	* .externalToolBuilders/Autogen.sh.launch: Builder that runs autogen
	script in frysk/bin directory
	* .project: Added external builders to build in eclipse.

2006-05-18  Sami Wagiaalla  <swagiaal@redhat.com>

	* .classpath: Eclipse project settings file.
	* .project: Ditto

2006-05-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (EXTRA_DIST): Add bootstrap.sh.

2006-04-27  Andrew Cagney  <cagney@redhat.com>

	* bootstrap.sh: Rename autogen.sh.
	* autogen.sh: New, run both bootstrap.sh and configure.

2006-01-30  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (javadoc): Add -link to
	http://developer.classpath.org/doc/, and
	http://java-gnome.sourceforge.net/docs/javadoc/.
	(PACKAGE_LIST): Delete.
	
2006-01-21  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (EXTRA_DIST): Delete EXCEPTION.
	* EXCEPTION: Delete, moved to common/.

2006-01-16  Rick Moseley  <rmoseley@redhat.com>

	* Moved frysk,desktop to ./frysk-gui.

2006-01-16  Rick Moseley  <rmoseley@redhat.com>

	* Added frysk.desktop for startup sequence.

2006-01-05  Andrew Cagney  <cagney@redhat.com>

	* configure.ac (AC_CONFIG_SUBDIRS): Add frysk-gtk.
	* Makefile.am (SUBDIRS): Add frysk-gtk.
	* autogen.sh: Add frysk-gtk.

2005-12-13  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (EXTRA_DIST): For files in common, include
	$(srcdir).  Ensures that wild cards match the correct files.

2005-12-09  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (EXTRA_DIST): Add common/ChangeLog, common/*.m4,
	common/*.sh, and common/m4/*.m4.
	
2005-12-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (EXTRA_DIST): Add common/m4/ac_find_file.m4, and
	common/m4/ac_get_lib_line.m4.

2005-12-02  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (EXTRA_DIST): Add common/version.in and autogen.sh.

2005-11-28  Andrew Cagney  <cagney@redhat.com>

	* configure.ac (AM_INIT_AUTOMAKE): Add dist-bzip2, and tar-ustar
	options.

	* autogen.sh: Add -f to autoconf.

2005-11-22  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: Move version.in logic to common/version.ac,
	include.
	
	* version.in: Delete, moved to common/
	* configure.ac (FRYSK_VERSION_IN, FRYSK_VERSION): Define, get the
	version from common/version.in.

2005-10-31  Andrew Cagney  <cagney@redhat.com>

	* version.in: New file.
	* configure.ac (VERSION_IN): Define by including version.in.
	(AC_INIT): Set version to VERSION_IN.

2005-10-30  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (upload-javadoc): Tune the rsync options; use
	--checksum instead of --times.

2005-10-27  Andrew Cagney  <cagney@redhat.com>

	* overview.html: Use <em>frysk</em>.
	* Makefile.am (javadoc): Generate both public and private
	documentation.

2005-10-26  Igor Foox <ifoox@redhat.com>

	* Makefile.am (EXTRA_DIST): Added macro to add the EXCEPTION to the
	distribution.

2005-09-19  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (upload-javadoc): New target.
	(javadoc): Replace util by "inua", "make" dependant on "all".
	
2005-09-18  Andrew Cagney  <cagney@redhat.com>

	* overview.html: Rewrite.
	* Makefile.am: Change title of frysk's packages to "FRYSK
	Packages".

2005-09-16  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (javadoc): On overview page, separate frysk* and
	imported packages into separate groups.

2005-09-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (javadoc): Add jargs, and jline to documentation.
	
	* Makefile.am (javadoc): Update, replace "com" with "frysk".

2005-09-10  Andrew Cagney  <cagney@redhat.com>

	* COPYING, EXCEPTION: New files; copyright of all files updated.

2005-09-09  Igor Foox <ifoox@redhat.com>

	* Makefile.am, configure.ac, autogen.sh: Added frysk-gui
	to build system.

2005-08-11  Andrew Cagney  <cagney@redhat.com>

	* Makefile.am (doxygen, javadoc): Add rules.
	* configure.ac: Add AM_PROG_GCJ.
	* overview.html: New.
	* Doxyfile.in: New.

	* autogen.sh: Make the list of subdirectories explicit.

	* configure.ac, Makefile.am (SUBDIRS): Replace jline with
	frysk-imports.

2005-07-28  Andrew Cagney  <cagney@redhat.com>

	* configure.ac (AC_CONFIG_FILES): Add jline/Makefile.
	* Makefile.am (SUBDIRS): Add jline.

2005-07-27  Andrew Cagney  <cagney@redhat.com>

	* configure.ac: New file.
	* autogen.sh: New file.
	* Makefile.am: New file.
	* .cvsignore: New file.

Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
